package com.zd.laboratory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 学期设置对象 lab_semester
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("学期设置")
public class LabSemester extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 学期名称 */
    @Excel(name = "学期名称")
    @Length(message = "学期名称长度不能超过255")
    @ApiModelProperty(value = "学期名称")
    private String semesterName;
    /** 学期开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学期开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "学期开始时间")
    private Date semesterStart;
    /** 学期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学期结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "学期结束时间")
    private Date semesterEnd;
    /** 备注 */
    @Excel(name = "备注")
    @Length(message = "备注长度不能超过255")
    @ApiModelProperty(value = "备注")
    private String semesterRemake;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSemesterName(String semesterName) 
    {
        this.semesterName = semesterName;
    }

    public String getSemesterName() 
    {
        return semesterName;
    }
    public void setSemesterStart(Date semesterStart) 
    {
        this.semesterStart = semesterStart;
    }

    public Date getSemesterStart() 
    {
        return semesterStart;
    }
    public void setSemesterEnd(Date semesterEnd) 
    {
        this.semesterEnd = semesterEnd;
    }

    public Date getSemesterEnd() 
    {
        return semesterEnd;
    }
    public void setSemesterRemake(String semesterRemake) 
    {
        this.semesterRemake = semesterRemake;
    }

    public String getSemesterRemake() 
    {
        return semesterRemake;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("semesterName", getSemesterName())
            .append("semesterStart", getSemesterStart())
            .append("semesterEnd", getSemesterEnd())
            .append("semesterRemake", getSemesterRemake())
            .toString();
    }
}
